-- a simple object that just draws based on its pos, accel, and velocity

PhysicsObject = class(Object, function(o, x, y, sprite)
  Object.init(o, x, y, hgridSize, vgridSize)
  o.acc = Vec2(0,0);
  o.vel = Vec2(0,0);
  o.rotVel = 0;
  o.rot = 0;
  o.alpha = 255;
  o.sprite = sprite
end)

function PhysicsObject:update()
  --Object.update(self)
  self.acc:add(Vec2(0,0.02))
  self.vel:add(self.acc)
  self.pos:add(self.vel)
  self.rot = self.rot + self.rotVel
end

function PhysicsObject:draw()
  --Object.draw(self)
    sheet:addCenterRotatedTile(self.sprite, self.pos.x, self.pos.y, 2, 0, 1, self.rot, 255, 255, 255, 255);
end
